# install yay
git clone https://aur.archlinux.org/yay.git
(cd yay && makepkg -sic --noconfirm)
rm -rf yay

# update conky config with correct interface
interface=$(find /sys/class/net -mindepth 1 -maxdepth 1 -lname '*virtual*' -prune -o -printf '%f\n'| head -1)
sed -i "s/wlp9s0/$interface/g" ~/.config/conky/Zavijava/Zavijava.conf

# install papirus folders
wget -qO- https://git.io/papirus-folders-install | sh
papirus-folders -C nordic --theme Papirus

# install aur packages
yay -S --noconfirm --answerdiff=None neovim-plug 

# vim plugins
nvim --headless +PlugInstall +qall

# vs code plugins
code --install-extension asvetliakov.vscode-neovim
code --install-extension ms-python.python
code --install-extension sainnhe.everforest

# install zsh and omz
sh -c "$(curl -fsSL https://raw.githubusercontent.com/ohmyzsh/ohmyzsh/master/tools/install.sh)" "" --unattended
git clone --depth=1 https://github.com/romkatv/powerlevel10k.git ${ZSH_CUSTOM:-$HOME/.oh-my-zsh/custom}/themes/powerlevel10k
mv ~/.zshrc.pre-oh-my-zsh ~/.zshrc
chsh -s $(which zsh)
source ~/.zshrc
